Download it now!
Bug 63112 - FILEOPEN Visualization
Summary: FILEOPEN Visualization
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2013-04-04 11:45 UTC by Ivan
Modified: 2019-02-03 20:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
file display is incorrect (10.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-04 11:45 UTC, Ivan
Details
normal display (182.90 KB, image/jpeg)
2013-04-04 11:46 UTC, Ivan
Details
original file (1.40 MB, application/vnd.ms-excel)
2013-04-04 21:54 UTC, Ivan
Details
xls to msoffice 2016 xlsx (527.51 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-06-21 21:41 UTC, paulystefan
Details
xls to msoffice 2016 xlsx to ods with LOO6.0.5.1-64 (416.48 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-06-21 21:44 UTC, paulystefan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2013-04-04 11:45:27 UTC
Created attachment 77414 [details]
file display is incorrect

hi2all

In an attachment (order.ods) part of incorrectly being displayed file.
The picture shows as the file looks in MS 2003.

Thanks for corrections!
Comment 1 Ivan 2013-04-04 11:46:25 UTC
Created attachment 77415 [details]
normal display
Comment 2 Ivan 2013-04-04 17:57:16 UTC
http://www.artlebedev.ru/tools/decoder/

CP1252 → CP1251
Comment 3 Urmas 2013-04-04 21:25:20 UTC
Please attach the Excel file itself.

There is a whole set of problems with Excel 95 import, but they will most likely never be fixed, as the developers are considering this format obsolete.
Comment 4 Ivan 2013-04-04 21:54:29 UTC
Created attachment 77449 [details]
original file
Comment 5 Urmas 2013-04-05 01:57:46 UTC
For some reason, Excel 97 or later overrides charset 0 and uses system default codepage. LibreOffice doesn't.
Comment 6 Ivan 2013-04-05 05:38:51 UTC
It is possible to correct it and whether it will be corrected?
Comment 7 Urmas 2013-04-05 09:12:21 UTC
The best way is to open it with MS Excel and save in Excel 97-2003 format.

If you don't have it available, you can use a hex editor: find records like "00 00 05 <Arial string follows>", and correct them to state "CC 00 05 72 69....".

Finally, you can file a bug against the software which generated it.
Comment 8 Ivan 2013-04-05 11:05:09 UTC
I receive documents from the client and I can't influence them in any way.
I am upset that LO can't solve a problem as counted that this software product the universal decision.(
Comment 9 QA Administrators 2015-03-04 02:18:00 UTC Comment hidden (obsolete)
Comment 10 Ivan 2015-03-04 20:14:30 UTC
hi2all

version 4.4.1.2
This bug is NOT solved.
Comment 11 tommy27 2016-04-16 07:25:59 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2017-05-22 13:21:36 UTC Comment hidden (obsolete)
Comment 13 paulystefan 2018-06-21 21:41:17 UTC
Created attachment 143017 [details]
xls to msoffice 2016 xlsx

i convert xls from 95 with mso 2016 to xlsx

msoffice2016 make same warning about loss of number formats.

then i open it with LOO 6.0.5.1-64 and it looks good for me.

but check of native language is necessary.
Comment 14 paulystefan 2018-06-21 21:44:18 UTC
Created attachment 143018 [details]
xls to msoffice 2016 xlsx to ods with LOO6.0.5.1-64

ods of mso2016 in LOO 6.0.5.1-64 win10 64bit
Comment 15 Thomas Lendo 2019-02-03 20:18:24 UTC
This is one of these bugs that likely never will be fixed because they describe nothing special or are too diffuse to be managed by a developer. I suggest to close this bug and to bring the focus to other existing bugs that also describe parts of this bug or to crease new bugs for specific problems with these attachments.

I close this bug as INSUFFICIENTDATA.
Please create specific bugs for specific issues that not only affects a single file.